Summary: The Mutt Mail User Agent
Name: mutt
Version: 0.95.4i
Release: 1
Group: Applications/Mail
Copyright: GPL
Url: http://www.mutt.org
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.guug.de/pub/mutt/%{name}-%{version}.tar.gz
Requires: mailcap
BuildRoot: /var/tmp/%{name}-root

%description
Mutt is a small but very poweful full-screen Unix mail client. Features
include MIME, POP3, multiple mailbox formats, color, message threading,
scoring, and bindable keys.

This package is the international version with PGP support.


%prep
%setup -q -n mutt-0.95.4


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--with-slang \
	--prefix=/usr --sysconfdir=/etc \
	--disable-nls --enable-nfs-fix
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/doc/mutt rpm_doc
rm -f contrib/{Makefile*,patch.slang-1.2.2.keypad.1}


%files
%defattr(-,root,root)
%config /etc/Muttrc
%doc rpm_doc/* contrib
/usr/bin/*
/usr/man/man*/*
/usr/share/mutt


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Mar  4 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to 0.95.4i-1.

* Mon Mar  1 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to 0.95.3i-2. Rebuilt mutt after pgp-5.0i is installed so now
  mutt really supports PGP.

* Thu Feb 18 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to 0.95.3i-1. Lots of SPEC file cleanup, with DESTDIR being used.
- The US version still doesn't build, so we have to stick to the international
  version although we don't have PGP installed.

* Wed Jan 13 1999 Hao Li <hli@wag.caltech.edu>
- Built 0.95.1i-2, which is different from 0.95.1i-1 in that 
  --enable-pop --enable-imap --enable-flock --disable-fcntl
  are all removed so that the default settings which are exactly 
  the contrary apply.

* Wed Jan  6 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to 0.95.1i-1

* Mon Dec 14 1998 Hao Li <hli@wag.caltech.edu>
- Mutt also provides /etc/mime.types but I choose to use the one provided by
  mailcap so mailcap is required. However the /etc/mime.types provided by
  mutt is clearly cleaner and more complete.
- Since NLS is disabled I don't think/usr/share/mutt is needed although 
  "make install" still installs it.
- If mail spool directory (/var/spool/mail by default) is not world writable
  (2775,root,mail for example) /usr/bin/mutt needs to be preceeded by 
  %attr(2755,root,mail) in %file section. In WAG group /var/spool/mail
  has permission (3777,root,mail), so /usr/bin/mutt doesn't need special 
  privilege.
- PGP should also be required by I didn't include it.
